import { request } from '@@/plugin-request/request';
import { stringify } from 'qs';

/**
 * 查询售后管理列表
 * @param param
 */
export async function queryDeviceOperations(param: object) {
  return request(`/web/v1/device_operations?${stringify(param)}`);
}

/**
 * 查询设备运行历史
 * @param param
 */
export async function queryDeviceRunState(param: object) {
  return request(`/web/v1/device_run_state?${stringify(param)}`);
}

/**
 * 查询24小时设备状态数据
 * @param param
 */
export async function queryDeviceOperationsData(param: object) {
  return request(`/web/v1/device_operations/data?${stringify(param)}`);
}
